PearlPOS
  1. Live Endpoints
PearlPOS
  • Inbound
    • postMasterdata
      POST
    • postPOSdata
      POST
  • Outbound
    • POSlog
      POST
  • Live Endpoints
    • getCustomers
      GET
    • getCustomerOrders
      GET
    • verifyDigitalArticle
      GET
    • purchaseDigitalArticle
      POST
    • getRelatedProducts
      GET
    • getSerialNumberVerification
      GET
    • getAvailableValueCodes
      GET
    • getValueCodes
      GET
  1. Live Endpoints

getRelatedProducts

Developing
GET
/getRelatedProducts
This endpoint shall be implemented by the customer system and called by PearlPOS to search for related articles to an item.

Request

Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/getRelatedProducts?article&store&chain'
Response Response Example
{
    "statusCode": 0,
    "message": "string",
    "relatedProducts": [
        {}
    ]
}
Modified at 2025-12-12 08:58:11
Previous
purchaseDigitalArticle
Next
getSerialNumberVerification
Built with